6.0.0-git
2019-05-20

[#14471] Sorting broken when sorting by a name field.
Summary Sorting broken when sorting by a name field.
Queue Turba
Queue Version 4.2.16
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester michael.menge (at) zdv (dot) uni-tuebingen (dot) de
Created 2016-09-16 (976 days ago)
Due
Updated 2017-10-20 (577 days ago)
Assigned 2016-09-17 (975 days ago)
Resolved 2016-09-18 (974 days ago)
Milestone
Patch No

History
2017-10-20 20:34:50 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 1258bb2e57d206ea089194a9cfe824b771a58831
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 17 Sep 2016 21:56:19 -0400

Bug: 14471 Fix sorting by a name field.

This regression is related to Bug: 14463, as it was introduced with
the same change. In this case, since when we are sorting by a name field,
we use a "private" __lastname and __firstname attribute which
is not known by the driver's map, so it is ignored.

  M lib/Object.php

https://github.com/horde/turba/commit/1258bb2e57d206ea089194a9cfe824b771a58831
2016-09-18 02:00:09 Michael Rubinsky Comment #5
Summary ⇒ Sorting broken when sorting by a name field.
State ⇒ Resolved
Reply to this comment
Fixed for Turba 4.2.17.
2016-09-18 01:57:46 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 5b62a78f44183eabae10ad98ee53043885b9aa79
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat Sep 17 21:49:51 2016 -0400

     Bug: 14471 Fix sorting by a name field.

     This regression is related to Bug: 14463, as it was introduced with
     the same change. In this case, since when we are sorting by a name field,
     we use a "private" __lastname and __firstname attribute which
     is not known by the driver's map, so it is ignored.

  turba/lib/Object.php | 7 ++++---
  1 file changed, 4 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/5b62a78f44183eabae10ad98ee53043885b9aa79
2016-09-18 01:53:40 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit d7f3d75885ac69fd4bff9282c9fa9bda6bc9ab8c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat Sep 17 21:49:51 2016 -0400

     Bug: 14471 Fix sorting by a name field.

     This regression is related to Bug: 14463, as it was introduced with
     the same change. In this case, since when we are sorting by a name field,
     we use a "private" __lastname and __firstname attribute which
     is not known by the driver's map, so it is ignored.

  turba/lib/Object.php | 7 ++++---
  1 file changed, 4 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/d7f3d75885ac69fd4bff9282c9fa9bda6bc9ab8c
2016-09-17 12:43:58 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Assigned
Reply to this comment
I can reproduce this, though oddly not on every install. The demo site 
exhibits this behavior though.
2016-09-16 15:23:24 michael (dot) menge (at) zdv (dot) uni-tuebingen (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ sorting broken
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
the address list is not sorted, changing the sort order  by clicking 
on the column header
does not changing the sort order.

https://lists.horde.org/archives/turba/Week-of-Mon-20160912/007169.html

Saved Queries